Sie sind hier

kein kompatibler Treiber gefunden

Da ich nun schon mehrfach in die Falle getappt bin:
 
Man erstelle ein neues Projekt in VS, füge das EF6.1 und die Firebird-Treiber hinzu. Über "Hinzufügen" ein ADO.NET Entity-Model erstellen. Dann ein bel. Modell auswählen, die Datenbankverbindung wählen und dann kommt ein Dialog mit der Aufforderung die Version des EF-Frameworks zu wählen. Es ist hilfreich, den Text ganz zu lesen, insbesondere den letzten Satz:
Nach dem Hinzufügen der NuGet-Pakete sollte das Projekt einmal erstellt werden - dann funktionieren auch alle Assistenten....!